/* Form definition file generated with fdesign. */

#include "forms.h"
#include "gui.h"

FD_board *create_form_board(void)
{
  FL_OBJECT *obj;
  FD_board *fdui = (FD_board *) fl_calloc(1, sizeof(FD_board));

  fdui->board = fl_bgn_form(FL_NO_BOX, 670, 430);
  obj = fl_add_box(FL_NO_BOX,0,0,670,430,"");
  obj = fl_add_box(FL_UP_BOX,0,390,670,40,"");
  fdui->options = obj = fl_add_menu(FL_PULLDOWN_MENU,120,400,50,20,"Options");
    fl_set_object_shortcut(obj,"Oo#O#o",1);
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,menu_options,(long)fdui);
  fdui->shanghai = obj = fl_add_menu(FL_PULLDOWN_MENU,10,400,70,20,"SHANGHAI");
    fl_set_object_shortcut(obj,"Ss#S#s",1);
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,menu_shanghai,(long)fdui);
  fdui->file = obj = fl_add_menu(FL_PULLDOWN_MENU,80,400,40,20,"File");
    fl_set_object_shortcut(obj,"Ff#F#f",1);
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,menu_file,(long)fdui);
  fdui->board_area = obj = fl_add_box(FL_UP_BOX,0,0,670,390,"");
  obj = fl_add_button(FL_TOUCH_BUTTON,0,0,670,390,"");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_callback(obj,board_callback,(long)fdui);
  fdui->board_frame = obj = fl_add_box(FL_NO_BOX,30,30,610,330,"");
  fdui->status_box = obj = fl_add_box(FL_FRAME_BOX,560,240,80,120,"");
  fdui->match = obj = fl_add_text(FL_NORMAL_TEXT,562,310,74,20,"Match: 12");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  fdui->time = obj = fl_add_text(FL_NORMAL_TEXT,562,290,74,20,"Time 99:99");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  fdui->rank = obj = fl_add_text(FL_NORMAL_TEXT,562,270,74,20,"Rank #10");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  fdui->scoremode = obj = fl_add_text(FL_NORMAL_TEXT,562,250,74,20,"Non-Scoring");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  fdui->remain = obj = fl_add_text(FL_NORMAL_TEXT,562,330,74,20,"Remain: 144");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  fdui->inp_board_num = obj = fl_add_input(FL_INT_INPUT,560,10,80,20,"");
    fl_set_object_lstyle(obj,12);
    fl_set_object_callback(obj,board_inp_board_num,(long)fdui);
  fdui->but_board_num = obj = fl_add_button(FL_HIDDEN_BUTTON,560,10,80,20,"");
    fl_set_object_callback(obj,board_inp_board_num,(long)fdui);
  fdui->status = obj = fl_add_box(FL_NO_BOX,640,400,20,20,"");
  fdui->pausebox = obj = fl_add_box(FL_UP_BOX,0,0,670,390,"");
    fl_set_object_color(obj,FL_BLACK,FL_COL1);
  obj = fl_add_button(FL_TOUCH_BUTTON,560,240,80,120,"");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_callback(obj,board_callback,(long)fdui);
  fl_end_form();

  return fdui;
}
/*---------------------------------------*/

FD_copyright *create_form_copyright(void)
{
  FL_OBJECT *obj;
  FD_copyright *fdui = (FD_copyright *) fl_calloc(1, sizeof(FD_copyright));

  fdui->copyright = fl_bgn_form(FL_NO_BOX, 390, 580);
  obj = fl_add_box(FL_UP_BOX,0,0,390,580,"");
  obj = fl_add_box(FL_DOWN_BOX,30,80,340,420,"");

  fdui->infomsg = fl_bgn_group();
  obj = fl_add_text(FL_NORMAL_TEXT,40,450,320,40,"Version 1.0\nCopyright 1995 by M. Gutschke");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,40,380,320,70,"This program was adapted from the game\n\"Shanghai for Atari ST/TT\" by the same author;\nwhich in turn was inspired by \"Drachen\" placed into\nthe public domain by Dirk Woitha (special thanks\nfor allowing me to use his graphics)");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,40,310,320,70,"The graphical user interface was created with\n\"Forms Library for X\" copyright 1995 by T.C. Zhao\nand Mark Overmars. Check the WWW-page\nhttp://bragg.phys.uwm.edu/xforms for further\ninformation.");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,40,180,320,130,"This program is postcard-ware; you are encouraged\nto redistribute it for any non-commercial purposes,\nbut if you keep a copy, mail me a postcard from your\nhome-town. If you want to include this game into\na (commercial) software distribution (e.g. on\nCD-ROM) please drop me a short note; sending me\na sample copy of your distribution would also be\ngreatly appreciated!\nBefore distributing a binary copy, please check the\ncopying conditions of the XForms library first!");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,40,90,320,90,"At the time of writing my address is:\n  Markus Gutschke\n  Schlage 5a\n  48268 Greven-Gimbte\n  Germany\n\n  Internet: gutschk@uni-muenster.de");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMES_STYLE);
  fl_end_group();

  obj = fl_add_text(FL_NORMAL_TEXT,30,520,170,40,"Shanghai for X");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_lcol(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_ENGRAVED_STYLE);
  fdui->exitbutton = obj = fl_add_button(FL_RETURN_BUTTON,270,20,100,30,"Dismiss");
    fl_set_object_callback(obj,copyright_exitbutton,(long)fdui);
  fl_end_form();

  return fdui;
}
/*---------------------------------------*/

