#ifndef FD_board_h_
#define FD_board_h_
/* Header file generated with fdesign. */

/**** Callback routines ****/

extern void menu_options(FL_OBJECT *, long);
extern void menu_shanghai(FL_OBJECT *, long);
extern void menu_file(FL_OBJECT *, long);
extern void board_callback(FL_OBJECT *, long);
extern void board_inp_board_num(FL_OBJECT *, long);
extern void board_callback(FL_OBJECT *, long);

extern void copyright_exitbutton(FL_OBJECT *, long);


/**** Forms and Objects ****/

typedef struct {
	FL_FORM *board;
	FL_OBJECT *options;
	FL_OBJECT *shanghai;
	FL_OBJECT *file;
	FL_OBJECT *board_area;
	FL_OBJECT *board_frame;
	FL_OBJECT *status_box;
	FL_OBJECT *match;
	FL_OBJECT *time;
	FL_OBJECT *rank;
	FL_OBJECT *scoremode;
	FL_OBJECT *remain;
	FL_OBJECT *inp_board_num;
	FL_OBJECT *but_board_num;
	FL_OBJECT *status;
	FL_OBJECT *pausebox;
	void *vdata;
	long ldata;
} FD_board;

extern FD_board * create_form_board(void);
typedef struct {
	FL_FORM *copyright;
	FL_OBJECT *infomsg;
	FL_OBJECT *exitbutton;
	void *vdata;
	long ldata;
} FD_copyright;

extern FD_copyright * create_form_copyright(void);

#endif /* FD_board_h_ */
