#ifndef __ICONFILE_H__
#define __ICONFILE_H__

#define ICON_WIDTH    44
#define ICON_HEIGHT   44
#define ICON_COUNT    42

#define DIM3DX         3
#define DIM3DY         3
#define SHADOWX        4
#define SHADOWY        4

#define TOP_WIDTH     44
#define TOP_HEIGHT     4
#define TOP_WIDTHS     TOP_WIDTH
#define TOP_HEIGHTS   (TOP_HEIGHT*2)
#define ICTOP          0,0,TOP_WIDTH,TOP_HEIGHT
#define ICSTOP         0,4,TOP_WIDTH,TOP_HEIGHT

#define RIGHT_WIDTH    4
#define RIGHT_HEIGHT  44
#define RIGHT_WIDTHS  (RIGHT_WIDTH*4)
#define RIGHT_HEIGHTS  RIGHT_HEIGHT
#define ICRIGHT        0,0,RIGHT_WIDTH,RIGHT_HEIGHT
#define ICSRIGHT       4,0,RIGHT_WIDTH,RIGHT_HEIGHT
#define ICHLOW         8,0,RIGHT_WIDTH,RIGHT_HEIGHT
#define ICHHIGH       12,0,RIGHT_WIDTH,RIGHT_HEIGHT

#define STATUS_WIDTH  20
#define STATUS_HEIGHT 20
#define STATUS_COUNT   4

extern char *col_names[16];
extern char *simple_col_names[16];
extern char *mono_col_names[16];
extern int  no_col_conv[16];
extern int  status_col_conv[16];
extern int  dither_matrix[16];
extern int  luminance[16];

extern unsigned char icons_data[];
extern unsigned char mask_bits[];
extern unsigned char top_bits[];
extern unsigned char right_bits[];
extern unsigned char status_data[];
extern unsigned char status_mask_bits[];

#endif
